' LnknLog2.Bas - Auxiliary module for Linkin' Logs
'		 private procedures

' $INCLUDE: 'LNKNTYPS.BI'
' $INCLUDE: 'LNKNLOGS.BI'
' $INCLUDE: 'LNKNPRVT.BI'

SUB GrowAllocZone
' GrowAllocZone - 	Grow the list node allocation space
'			by the amount NodeBlockSize
  IF MaxNode = 0 THEN
    DIM NodeSpace(NodeBlockSize) AS ListNode
  ELSE
    ' Set up local error trapping
    ON LOCAL ERROR RESUME NEXT
    ' Try to increase the size of the NodeSpace array,
    ' preserving the array's current contents
    REDIM PRESERVE NodeSpace(UBOUND(NodeSpace)+NodeBlockSize) AS ListNode
    ' Turn off local error trapping and return to NewNode
    ON LOCAL ERROR GOTO 0
  END IF
END SUB
